---
layout: default
title: Moderation
permalink: /usage/moderation
nav_order: 1
parent: Usage
has_toc: true
---

## Moderation <span class='label label-yellow'>since 1.15.1</span>
This feature could be enabled in **Admin > Settings > Enable Moderation**.
By default it is not enabled.

<!-- ### Rationale -->
<!-- Content moderation is one of the big issues of the Internet. The big platforms still haven't quite figured out how to solve it mainly because it's an issue that's hard to solve technically as it's mainly a social issue. Big platforms have a huge disadvantage from this point of view because they are centralized, which means they have to deal with content from many different contexts about which they know very little, written in many different languages, with slang and idioms that are difficult to understand unless you are close to the communities that produce that content.  -->


## Report an event         
When this feature is enabled (**Admin > Settings > Enable Report**) every person could report an event.  
All administrators will receive an e-mail notification with the report.  
This feature is not enabled by default. Note that to enable this feature [moderation](#moderation) should be enabled too.

<video src='report.webm' controls></video>


## Manage a report
Admins and editors could talk each other and take notes on events, eventually they could send some message to the author of the event too.

<video src='moderation.webm' controls></video>


> info "References"
> [#220](https://framagit.org/les/gancio/-/issues/220), [#221](https://framagit.org/les/gancio/-/issues/221), [#350](https://framagit.org/les/gancio/-/issues/350)
